*----------                          INDICES                        ----------*
SET
M meubles /chais, tab/
;


*----------                          DONNEES                        ----------*
SCALARS
D_BOIS     disponibilite en unites de bois         /16/
D_TIS      disponibilite en unites de tissu        /10/
D_TRAV     disponibilite en heure de travail       /40/
;

PARAMETERS
B(M)     besoins en bois par peuble (unites)             /TAB 1,   CHAIS 1/
T(M)     besoins en tissu par peuble (unites)            /CHAIS 1/
W(M)     besoins en travail par meuble (heures)          /TAB 4,   CHAIS 1/
PRIX(M)  prix par meuble (euros)                         /TAB 30,  CHAIS 15/
;


*----------                         MODELE                          ----------*
VARIABLES
Z        chiffre d'affaires total de l'entreprise
;

POSITIVE VARIABLES
NB(M)    nombre d'unites de chaque meuble
;

EQUATIONS
BOIS
TISSU
TRAVAIL
OBJECTIF


BOIS..     sum(M, NB(M)*B(M)) =l= D_BOIS ;
TISSU..    sum(M, NB(M) * T(M)) =l= D_TIS ;
TRAVAIL..  sum(M, NB(M)*W(M)) =l= D_TRAV ;
OBJECTIF.. sum(M, PRIX(M)*NB(M)) =e= Z ;

MODEL tableChaise /all/ ;


*----------                        SOLUTION                         ----------*
SOLVE tableChaise using LP maximizing Z ;


